Subject: Re: Keyboard register

From: Keld J|rn Simonsen <keld>
Date: Wed, 28 Oct 1998 21:11:55 +0100 (CET)

> In message <[email-masked]> Keld J|rn Simonsen writes:
> > > > Well, the cultural register, ISO/IEC 15897, already has a section
> > > > for registering national keyboards. So I think there is no need
> > > > for a special registration standard for keyboards.
> > >
> > > Thanks. I'll check that out. However, I expect that ISO/IEC JTC1/SC35
> > > will require a more detailed register.
> > 
> > Well, in what sense? You can register keyboard details in any
> > level of detail with 15897
>
> I have just checked ISO/IEC 15897. Informative Annex D, Clause 29 and
> Informative Annex F, Clause 29 seem to specify insufficient detail,
> and the Irish example does not include a clause 29, though the Danish
> one does.
>
> It seems that relying on ISO/IEC 15897 would provide only patchy
> information, and be limited to information provided by national
> member bodies, which would not guarantee inclusion of keyboard
> information, or the form such information it would appear in.
>
> The SC35 proposal will go ahead at the San Antonio meeting.

Yes, I agree that the information on keyboards in 15897 are not very
detailed, so that is something that could be worked on.
Wheter that should be done in WG20 could be up for discussion.

15897 is a registration standard, and the actual specification
format to describe keyboards should be done in another standard.
I assume the 9995 series are a good way of describing keyboards,
and for IT enablement in operating systems I at least know
the X Windows keybord definition files.

15897 is up for revision and things like Keyboard specifications
could be taken up there . 

An advantage of doing it with 15897 is that you will only need
to go one place for keyboard definitions, and that this is
already an ISO standard, you need not go thru the JTC 1 NP
approval procedure to get it working, you can already use it now.

Keld